package org.objectweb.fractal.bf.connectors.ws;

import java.lang.reflect.InvocationHandler;

import org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator;

/**
 * A WsStubContentGenerator using the {@link WsInvocationHandler}
 * invocation handler.
 * 
 */
public class WsStubContentGenerator extends
		AbstractDynamicProxyStubContentGenerator<WsBindHints> {

	public WsStubContentGenerator() {

	}

	/**
	 * @see org.objectweb.fractal.bf.proxies.AbstractDynamicProxyStubContentGenerator#createInvocationHandler(org.objectweb.fractal.bf.BindHints,
	 *      java.lang.Class)
	 */
	@Override
	protected InvocationHandler createInvocationHandler(WsBindHints bindHints,
			Class<?> clazz) {
		return new WsInvocationHandler(bindHints, clazz);

	}
}
